Package wx :: Class NotifyEvent

[frames | no frames]

## Type NotifyEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        NotifyEvent

Known Subclasses:
  `AuiNotebookEvent`, `BookCtrlBaseEvent`, `GridEvent`, `GridRangeSelectEvent`, `GridSizeEvent`, `ListEvent`, `MediaEvent`, `RichTextEvent`, `SpinEvent`, `SplitterEvent`, `TreeEvent`, `WizardEvent`

An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening. The event handler can call `Veto` or `Allow` to tell the control what to do.

Method Summary
NotifyEvent | ``__init__`(self, commandType, winid)` An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening.
| ``Allow`(self)` This is the opposite of `Veto`: it explicitly allows the event to be processed.
bool | ``IsAllowed`(self)` Returns true if the change is allowed (`Veto` hasn't been called) or false otherwise (if it was).
| ``Veto`(self)` Prevents the change announced by this event from happening.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, commandType=wxEVT_NULL, winid=0)
(Constructor)

An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening. The event handler can call `Veto` or `Allow` to tell the control what to do.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    NotifyEvent
  Overrides:
    `wx.CommandEvent.__init__`

### Allow(self)

This is the opposite of `Veto`: it explicitly allows the event to be processed. For most events it is not necessary to call this method as the events are allowed anyhow but some are forbidden by default (this will be mentioned in the corresponding event description).

### IsAllowed(self)

Returns true if the change is allowed (`Veto` hasn't been called) or false otherwise (if it was).

  Returns:
    bool

### Veto(self)

Prevents the change announced by this event from happening.

It is in general a good idea to notify the user about the reasons for vetoing the change because otherwise the applications behaviour (which just refuses to do what the user wants) might be quite surprising.

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:10 2007 | http://epydoc.sf.net